;  pForthRes.asm
; Fri Apr 29, 1988 09:47:46 v 0.4
; Mon May 27, 1991 15:53:35 update resources for 0.4.1

; Version identification resource
.ALIGN	2
RESOURCE	'P4TH'	0 '' 32
	DC.B	37,'Pocket Forth    0.5'
	DC.B	13,'7/11/91 C.Heilman'

; the WIND resource
.ALIGN	2
RESOURCE 	'WIND' 128  'PocketForth'	32 ; purgable
	DC.W	40,2,41,102	; t,l,b,r
	DC.W	12		; no grow doc proc w/zoom
	DC.W	0		; invisible
	DC.W	$100		; closable
	DC.L	0
	DC.B	12,'Pocket Forth'

; MenuBar Resources

.ALIGN 2
RESOURCE	'MENU'	1	'Apple Menu'
	DC.W	1	; Menu ID
	DC.W	0	; Width holder
	DC.W	0	; Height
	DC.L	0	; ID holder for std menu
	DC.L	$FFFFFFFB
	DC.B	1	; Title length
	DC.B	20	; Apple symbol
	
	DC.B	19,'About Pocket Forth'
	DC.B	0	; no icon
	DC.B	0	; no control key
	DC.B	0	; no marking character
	DC.B	0	; style

	DC.B	1	; About length
	DC.B	'-'
	DC.B	0	; no icon
	DC.B	0	; no control key
	DC.B	0	; no marking character
	DC.B	0	; style
	
	DC.B	0	; End of this menu item
	
.ALIGN 2
RESOURCE	'MENU'	2	'File Menu'
	DC.W	2	; Menu ID
	DC.W	0	; Width holder
	DC.W	0	; Height
	DC.L	0	; ID holder for std menu
	DC.L	$15B	; Enable 
	DC.B	4	; Title length
	DC.B	'File'
	
	DC.B	5	; Item text length
	DC.B	'Open'
	DC.B	0	; no icon
	DC.B	'O'	; control oh (that's the letter)
	DC.B	0	; no marking char
	DC.B	0	; plain style

	DC.B	1	; Item text length
	DC.B	'-'
	DC.B	0	; no icon
	DC.B	0	; no control key
	DC.B	0	; no marking char
	DC.B	0	; plain style

	DC.B	15	; Item text length
	DC.B	'Save Dictionary'
	DC.B	0	; no icon
	DC.B	0	; no control key
	DC.B	0	; no marking char
	DC.B	0	; plain style

	DC.B	9	; Item text length
	DC.B	'Debugger'
	DC.B	0	; no icon
	DC.B	0	; no control key
	DC.B	0	; no marking char
	DC.B	0	; plain style

	DC.B	1	; Item text length
	DC.B	'-'
	DC.B	0	; no icon
	DC.B	0	; no control key
	DC.B	0	; no marking char
	DC.B	0	; plain style

	DC.B	6	; Item text length
	DC.B	'Print'
	DC.B	0	; no icon
	DC.B	'P'	; control P
	DC.B	0	; no marking char
	DC.B	0	; plain style

	DC.B	1	; Item text length
	DC.B	'-'
	DC.B	0	; no icon
	DC.B	0	; no control key
	DC.B	0	; no marking char
	DC.B	0	; plain style
	
	DC.B	4	; Item text length
	DC.B	'Quit'
	DC.B	0	; no icon
	DC.B	'Q'	; control Q
	DC.B	0	; no marking char
	DC.B	0	; plain style

	DC.B	0	; End of this menu item

.ALIGN 2
RESOURCE	'MENU'	3	'Edit Menu'
	DC.W	3	; Menu ID
	DC.W	0	; Width holder
	DC.W	0	; Height
	DC.L	0	; ID holder for std menu
	DC.L	$7B	; enable flags
	DC.B	4	; Title length
	DC.B	'Edit'
	
	DC.B	4	; Item text length
	DC.B	'Undo'
	DC.B	0	; no icon
	DC.B	'Z'	; control Z
	DC.B	0	; no marking char
	DC.B	0	; plain style
	
	DC.B	1	; Item text length
	DC.B	'-'
	DC.B	0	; no icon
	DC.B	0	; no control key
	DC.B	0	; no marking char
	DC.B	0	; plain style
	
	DC.B	3	; Item text length
	DC.B	'Cut'
	DC.B	0	; no icon
	DC.B	'X'	; control ecks
	DC.B	0	; no marking char
	DC.B	0	; plain style
	
	DC.B	4	; Item text length
	DC.B	'Copy'
	DC.B	0	; no icon
	DC.B	'C'	; control C
	DC.B	0	; no marking char
	DC.B	0	; plain style

	DC.B	5	; Item text length
	DC.B	'Paste'
	DC.B	0	; no icon
	DC.B	'V'	; control V
	DC.B	0	; no marking char
	DC.B	0	; plain style

	DC.B	5	; Item text length
	DC.B	'Clear'
	DC.B	0	; no icon
	DC.B	0	; no control key
	DC.B	0	; no marking char
	DC.B	0	; plain style
	
	DC.B	0	; End of Edit Menu

; b&w icon resource
	
.ALIGN	2
RESOURCE	'BNDL'	128 ' ' 32
	DC.L	'P4TH'		; signature
	DC.W	0,1		; data allways the same

	DC.L	'ICN#'
	DC.W	0		; number of mappings -1
	DC.W	0,128		; map 0 to icon 128
	
	DC.L	'FREF'
	DC.W	0		; number of mappings -1
	DC.W	0,128		; map 0 to fref 128
	
.ALIGN	2
RESOURCE	'FREF'	128 ' ' 32
	DC.B	'APPL',0,0,0

.ALIGN 2
RESOURCE	'ICN#' 	128 ' ' 32
	; icon
	DC.L	$0000001E,$0000007B,$000000F3,$00003DF0
	DC.L	$0000FFF8,$00009FF8,$00000FFC,$00FF187C
	DC.L	$0F011BBE,$700114CE,$80010327,$80008721
	DC.L	$800089C1,$80009080,$80009E00,$80008118
	DC.L	$800080E0,$80008041,$8000803E,$80004000
	DC.L	$80004000,$80004000,$80004000,$8000C0C0
	DC.L	$BFF901E0,$80010120,$EFFD0120,$380303F0
	DC.L	$80001F9C,$10003FF8,$02003FC0,$00497F00
	; mask
	DC.L	$0000001E,$0000007B,$000000F3,$00003DF0
	DC.L	$0000FFF8,$00009FF8,$00000FFC,$00FF1FFC
	DC.L	$0FFF1FFE,$7FFF17FE,$FFFF03FF,$FFFF87FF
	DC.L	$FFFF8FFF,$FFFF9FFF,$FFFF9FFF,$FFFF81FF
	DC.L	$FFFF80FF,$FFFF807F,$FFFF803E,$FFFFC000
	DC.L	$FFFFC000,$FFFFC000,$FFFFC000,$FFFFC0C0
	DC.L	$FFFF01E0,$FFFF01E0,$FFFF01E0,$B80303F0
	DC.L	$80001FFC,$30003FF8,$06003FC0,$00DB7F00


; alert resources

.ALIGN	2
RESOURCE	'ALRT'	257	'About'
	DC.W	50,50,188,318	; t,l,b,r
	DC.W	257		; DITL ID number
	DC.W	$4444		; Stages ($4444 = just display)

.ALIGN	2
RESOURCE	'DITL'	257
	DC.W	2		; Number of items -1
	
	; Item number 1
	DC.L	0		; handle holder
	DC.W	0,0,144,270	; t,l,b,r
	DC.B	0		; useritem
	DC.B	0

	; Item number 2
	DC.L	0		; handle holder
	DC.W	30,40,100,235	; t,l,b,r
	DC.B	136		; disabled+staticText
	DC.B	78,'Pocket Forth   version 0.5'
	DC.B	13,'     System 7 friendly!'
	DC.B	13,13,'by Chris Heilman   7/11/91'

	; Item number 3		*** System 7 only ***
	DC.L	0		; handle holder
	DC.W	$FFFE,$FFFE,$FFFE,$FFFE	; off screen rect
	DC.B	$81,4
	DC.W	1,257		; helpItem,id of hdlg

.ALIGN	2
RESOURCE	'ALRT'	258	'RedAlert'
	DC.W	170,15,265,325	; t,l,b,r
	DC.W	258		; DITL ID number
	DC.W	$4444		; Stages

.ALIGN	2
RESOURCE	'DITL'	258
	DC.W	1		; Number of items -1

	; Item number 1
	DC.L	0		; handle holder
	DC.W	61,120,83,195	; t,l,b,r
	DC.B	4		; type
	DC.B	2,'Ok'

	; Item number 2
	DC.L	0		; handle holder
	DC.W	19,70,57,295	; t,l,b,r
	DC.B	136		; type
	DC.B	58,'An error occured, and the '
	DC.B	'dictionary was not (re)entered. '

.ALIGN 2
RESOURCE	'SIZE'	$FFFF
	DC.W	$58E0
	DC.L	$00020000
	DC.L	$00007FFF

INCLUDE	pfOptional.txt		; System 7 color & help stuff

	END
