; Initialize XLISP

; initialize

; basic additions to XLISP: push, pop, defvar, require, provide
; declarations of some global variables: *declared-global-variables*,
;                                        *lisp-extension*,
;                                        *modules*

(load "stack" :verbose t)
(load "declare" :verbose t)
(load "global" :verbose t)
(load "req-prov" :verbose t)

; Controls display of "garbage collecting..." messages

(defvar *gc-flag* nil)
(defvar *tracenable* t)		; display trace?
(defvar *tracelimit* 3)		; display how many levels of trace?
(defvar *breakenable* t)	; print error messages?
(defvar *load-verbose* t)
(defvar *print-case* :downcase)

(require 'trace)		; requires set, s-expression, apl
(require 'utility "util")	; requires io, sequence, msg, array, iteration
(require 'save "save")		; requires grind

;(load "asse10")

(require 'personality "personal")
(defvar *personality* 'offensive)
(randomize)

(msg "Welcome to XLISP you " (chastise-careless-users-string) "." t)
 
