;; Larry Mulcahy 1988

(provide 'str-list)
(require 'sequence)

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; list-to-string 
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(defun list-to-string (l)
  (if (null l)
      ""
      (if (equal (length l) 1)
	  (symbol-name (car l))
	  (concatenate 'string
            (symbol-name (car l))
            " "
            (list-to-string (cdr l))))))
